Package Base Details: qxmpp

Git Clone URL: https://aur.archlinux.org/qxmpp.git (read-only, click to copy)
Submitter: arojas
Maintainer: HurricanePootis
Last Packager: HurricanePootis
Votes: 12
Popularity: 0.179228
First Submitted: 2017-11-23 07:06 (UTC)
Last Updated: 2022-04-25 00:31 (UTC)

Packages (2)

Latest Comments

rufous commented on 2022-01-18 10:32 (UTC)

Please add armv7h

haawda commented on 2022-01-09 17:07 (UTC) (edited on 2022-01-09 17:32 (UTC) by haawda)

Please rename the downloaded tarball to something including the packagename and the version number, not only the version number.

je-vv commented on 2021-10-18 23:31 (UTC) (edited on 2021-10-19 00:40 (UTC) by je-vv)

Nedding this prepare() patch:

prepare() {
   cd "$srcdir/$pkgname-$pkgver/"
   sed -i "s|^.*find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core Network Xml).*$|set(QT_VERSION_MAJOR 5)|" CMakeLists.txt
}

Otherwise it'll build for Qt6 if Qt6 is present in the system. And the package is meant to be built with qt5, given its dependency on qt5-base, and that it's a requirement for kaidan, which currently can only be built with qt5.

Besides, that line removed is redundant. I doesn't make much sense to have the following 2 lines, just the last one makes sense:

find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core Network Xml)
find_package(Qt${QT_VERSION_MAJOR} 5.7.0 REQUIRED COMPONENTS Core Network Xml)

And one of course needs to set the major versios, which is what the prepare() patch does...

Thanks !

keren_sky commented on 2019-12-08 11:02 (UTC)

scratch that, it's to do w/ korla icon theme src-pkg being stored in same dir.

keren_sky commented on 2019-12-08 04:27 (UTC)

does not build. some error after unpacking the source pkg.